Path::IsDev::Role::Matcher::FullPath::Is::Any(3)

NAME
Path::IsDev::Role::Matcher::FullPath::Is::Any - Match if the current directory is the same directory from a list of absolute paths.

VERSION
version 1.001003

METHODS

  "fullpath_is_any"
Note, this is usually invoked on directories anyway.

    if ( $self->fullpath_is_any( $result_object, '/usr/', '/usr/bin/foo' )) {

    }

Matches if any of the provided paths "realpath"'s correspond to "$result_object->path->realpath"

PRIVATE METHODS

  "_fullpath_is"
    $class->_fullpath_is( $result_object, $source_path, $comparison_path );

Does not match if $comparison_path does not exist.

Otherwise, compare $source_path vs "$comparison_path->realpath", and return if they match.

AUTHOR
Kent Fredric <kentnl@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2017 by Kent Fredric <kentfredric@gmail.com>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.